Tryton - Issues

 

Issue8933

Title Exception raised when creating statement rule that uses ofx type
Priority bug Status unread
Superseder Nosy List dave
Type crash Components account_statement_ofx, account_statement_rule
Assigned To Keywords
Reviews

Created on 2019-12-17.11:02:13 by dave, last changed by dave.

Messages
msg54550 (view) Author: [hidden] (dave) Date: 2019-12-17.11:02:12
With the account_statement_ofx and account_statement_rule modules activated if you try and create a statement rule with an "Information Rules" "Key" of "Type" the following exception is raised as soon as you select "Type" from the list of keys.  It is also the raised again if you try and save the statement rule.

Traceback (most recent call last):
  File "/usr/local/lib/python37/dist-packages/trytond/model/modelstoragepy", line 1412, in __getattr__
    field = self_fields[name]
KeyError: 'type'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python37/dist-packages/trytond/wsgipy", line 108, in dispatch_request
    return endpoint(request, **requestview_args)
  File "/usr/local/lib/python37/dist-packages/trytond/protocols/dispatcherpy", line 48, in rpc
    request, database_name, *requestrpc_params)
  File "/usr/local/lib/python37/dist-packages/trytond/wsgipy", line 76, in auth_required
    return wrapped(*args, **kwargs)
  File "/usr/local/lib/python37/dist-packages/trytond/protocols/wrapperspy", line 131, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/usr/local/lib/python37/dist-packages/trytond/protocols/dispatcherpy", line 191, in _dispatch
    result = rpcresult(meth(inst, *c_args, **c_kwargs))
  File "/usr/local/lib/python37/dist-packages/trytond/model/fields/fieldpy", line 117, in wrapper
    return func(self, *args, **kwargs)
  File "/usr/local/lib/python37/dist-packages/trytond/modules/account_statement_rule/accountpy", line 194, in get_selections
    if selfkey and selfkeytype == 'selection':
  File "/usr/local/lib/python37/dist-packages/trytond/model/modelstoragepy", line 1414, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "accountstatementorigininformation,4" has no attribute "type"
History
Date User Action Args
2019-12-17 11:02:13davecreate

Showing 10 items. Show all history (warning: this could be VERY long)